org.eclipse.emf.facet.widgets.celleditors.ecore.composite

## Class BooleanComposite

- java.lang.Object
- - Composite
  - - org.eclipse.emf.facet.widgets.celleditors.AbstractCellEditorComposite<java.lang.Boolean>
    - - org.eclipse.emf.facet.widgets.celleditors.ecore.composite.BooleanComposite

All Implemented Interfaces:
  IWidget2<java.lang.Boolean>

    public class BooleanComposite
    extends AbstractCellEditorComposite<java.lang.Boolean>

### Constructor Summary

Constructors
Constructor and Description
`BooleanComposite(Composite parent)`
`BooleanComposite(Composite parent, int style)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Boolean` `getValue()` Get the value from the widget
`void` `setValue(java.lang.Boolean value)` Set the given value in the widget

### Methods inherited from class org.eclipse.emf.facet.widgets.celleditors.AbstractCellEditorComposite

`addChangeListener, addCommitListener, getValidator, removeChangeListener, removeCommitListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BooleanComposite

    public BooleanComposite(Composite parent)

#### BooleanComposite

    public BooleanComposite(Composite parent,
                            int style)

### Method Detail

#### getValue

    public java.lang.Boolean getValue()

Description copied from interface: `IWidget2`
Get the value from the widget

#### setValue

    public void setValue(java.lang.Boolean value)

Description copied from interface: `IWidget2`
Set the given value in the widget